/*************************************************
 **																							**
 **		windows.h                                 **
 **                                             **
 **					SoftC windows toolkit header				**
 **																							**
 **						Copyright (C) 1988 by 						**
 **								Kim Schumann									**
 **								16820 3rd St NE								**
 **								Ham Lake, MN 55304						**
 **								(612) 434-6968								**
 **																							**
 **							All rights reserved.						**
 **						Proprietary information.					**
 **		Use requires license from Kim Schumann,		**
 **					or an authorized distributor.				**
 *************************************************/




/**********
 *
 *	defines
 *
 **********/



#define SC_NOBORDER -1				/* open window with no border */




/**********
 *
 *	Type Definitions
 *
 **********/




/**********
 *
 *	Function Prototypes
 *
 **********/



void scwaget( unsigned char *, unsigned char * );
void scwaput( unsigned char, unsigned char );
signed short int scwbget( signed char, unsigned char *, unsigned char *, unsigned char *,
		unsigned char *, unsigned char *, unsigned char * );
signed short int scwbput( signed char, unsigned char, unsigned char, unsigned char,
		unsigned char, unsigned char, unsigned char );
signed short int scwcget( signed char, unsigned char *, unsigned char *, unsigned char *,
		unsigned char *, unsigned char *, unsigned char *);
signed short int scwclose( signed char );
void scwclr( void );
void scwclreol( void );
signed short int scwcput( signed char, unsigned char, unsigned char, unsigned char,
		unsigned char, unsigned char, unsigned char);
void scwcursoff( void );
void scwcurson( void );
signed short int scwgoto( unsigned short int, unsigned short int );
signed short int scwinfo( signed char, unsigned short int *, unsigned short int *,
		unsigned short int *, unsigned short int *, signed char *, signed char *, signed char * );
signed short int scwopen( signed char *, unsigned short int, unsigned short int,
		unsigned short int, unsigned short int );
signed short int scwopenx( signed char *, unsigned short int, unsigned short int,
		unsigned short int, unsigned short int, signed char *, signed char, signed char );
void scwprintf( signed char *, ... );
signed short int scwselect( signed char );
signed short int scwtget( signed char * );
signed short int scwtput( signed char * );
signed short int scwxloc( void );
signed short int scwyloc( void );



/**********
 *
 *  Function Macros
 *
 **********/




#define scwputs(s) scwprintf("%s",s);
#define scwputc(c) scwprintf("%c",c);




/**********
 *
 *	External Variables
 *
 **********/




extern char SC_BLACK;		    /* dark colors */
extern char SC_BLUE;
extern char SC_GREEN;
extern char SC_CYAN;
extern char SC_RED;
extern char SC_MAGENTA;
extern char SC_BROWN;
extern char SC_LIGHTGRAY;
extern char SC_DARKGRAY;		    /* light colors */
extern char SC_LIGHTBLUE;
extern char SC_LIGHTGREEN;
extern char SC_LIGHTCYAN;
extern char SC_LIGHTRED;
extern char SC_LIGHTMAGENTA;
extern char SC_YELLOW;
extern char SC_WHITE;
extern char SC_BLINK;